activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From SergueiM <e...@idirect.com>
Subject jdbc Master fails: AMQ v.5.6, Postgres v.9.1, Ubuntu
Date Sun, 10 Jun 2012 05:35:30 GMT
Hi,

jdbc Master fails to run with AMQ v.5.6, Postgres 9.1 on Ubuntu.
Can run it with AMQ v.5.4.2 (same settings).

Getting:
... ERROR | Failed to update database lock: java.sql.SQLException: Method
org.postgresql.jdbc3g.Jdbc3gPreparedStatement.setQueryTimeout(int) is not
yet implemented. | org.apache.activemq.store.jdbc.DefaultDatabaseLocker |
ActiveMQ Cleanup Timer
java.sql.SQLException: Method
org.postgresql.jdbc3g.Jdbc3gPreparedStatement.setQueryTimeout(int) is not
yet implemented.
	at org.postgresql.Driver.notImplemented(Driver.java:751)
...

Similar log message with Jdbc4 driver.

Postgres v.9.1 is on Ubuntu 12.04 64bit host.
AMQ is on Ubuntu 10.04 64bit host.
Both hosts have Sun JDK v.1.6.

Fails with Postgres 9.0 as well.

Fails with:
- postgresql-9.1-902.jdbc4.jar
- postgresql-9.1-902.jdbc3.jar
- postgresql-9.1-901.jdbc4.jar
jdbc drivers as long as it is AMQ v.5.6.

Downgrading to AMQ v.5.4.2 removes the issue.
I believe it runs with AMQ v.5.5.0 as well (just don't have the logs handy).

Any ideas/comments?

Thank you.
-
Serguei


--
View this message in context: http://activemq.2283324.n4.nabble.com/jdbc-Master-fails-AMQ-v-5-6-Postgres-v-9-1-Ubuntu-tp4653140.html
Sent from the ActiveMQ - User mailing list archive at Nabble.com.

Mime
View raw message